#
# spec file for package dmraid (Version 0.99_1.0.0rc13)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db device-mapper device-mapper-devel diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           dmraid
BuildRequires:  device-mapper device-mapper-devel
URL:            http://people.redhat.com/~heinzm/sw/dmraid/src/
License:        GNU General Public License (GPL)
Group:          System/Base
Autoreqprov:    on
Summary:        A Device-Mapper Software RAID Support Tool
Version:        0.99_1.0.0rc13
Release:        0.8
Source0:        dmraid-1.0.0.rc13.tar.bz2
Patch:          dmraid_fixup_paths2.diff
Patch1:         dmraid_fixup_rc_output.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This software discovers, activates, deactivates, and displays
properties of software RAID sets, such as ATARAID, and contained DOS
partitions.

dmraid uses libdevmapper and the device-mapper kernel runtime to create
devices with respective mappings for the ATARAID sets discovered.

The following ATARAID types are supported:

Highpoint HPT37X Highpoint HPT45X Intel Software RAID Promise FastTrack
Silicon Image Medley



Authors:
--------
    Heinz Mauelshagen

%debug_package
%prep
%setup -n dmraid/1.0.0.rc13/
%patch -p1
#%patch1 -p2

%build
#rm -f aclocal.m4
autoreconf -fi
rm -r autom4te.cache
# Update config.{guess,sub}
%{?suse_update_config}
export CFLAGS="$RPM_OPT_FLAGS" 
./configure --prefix=%{_prefix} \
  --infodir=%{_infodir} \
  --libdir=%{_libdir} \
  --mandir=%{_mandir} \
  --sbindir=/sbin \
  --with-user=`id -nu` --with-group=`id -ng`
  make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] \
  && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/usr/include/dmraid
rm $RPM_BUILD_ROOT%{_libdir}/libdmraid.a

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] \
  && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
#%{_libdir}/libdmraid.so
/sbin/dmraid
%{_mandir}/man8/*
%doc LICENSE LICENSE_GPL LICENSE_LGPL README TODO doc/*

%changelog
* Sun Jan 07 2007 - ro@suse.de
- added device-mapper-devel to buildrequires
* Wed Nov 08 2006 - mkoenig@suse.de
- update to version 1.0.0rc13, FATE #301607
  Support for:
  * SNIA DDF1 (IBM)
  * JBOD
  * Adaptec HostRAID
  * JMicron JMB36x
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 05 2005 - kukuk@suse.de
- Remove unused klibc-devel from neededforbuild
* Wed Jul 13 2005 - cadaha@suse.de
- update to 1.0.0-rc8, fix big endian build
* Wed Sep 22 2004 - cadaha@suse.de
- fix dmraid -rc output for unsupported devices
* Mon Sep 20 2004 - cadaha@suse.de
- created package
